# $Revision: 1.86 $, $Date: 2010/12/17 10:32:20 $
Summary:	A versatile and multi-platform BitTorrent client
Summary(hu.UTF-8):	Egy sokoldalú és multiplatformos BitTorrent kliens
Summary(pl.UTF-8):	Wszechstronny i wieloplatformowy klient BitTorrenta
Name:		transmission
Version:	2.13
Release:	1
License:	MIT
Group:		Applications/Communications
Source0:	http://download.m0k.org/transmission/files/%{name}-%{version}.tar.bz2
# Source0-md5:	eb126ae88b80487f2840896939019421
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Patch0:		%{name}-ckb_po.patch
Patch1:		%{name}-qtr_details.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-preallocate_syscall.patch
URL:		http://transmissionbt.com/
BuildRequires:	QtDBus-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel >= 7.16.3
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libevent-devel >= 1.4.5
BuildRequires:	libnotify-devel >= 0.4.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	lsb-release
BuildRequires:	openssl-devel >= 0.9.4
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	util-linux
BuildRequires:	which
BuildRequires:	xfsprogs-devel
Obsoletes:	Transmission <= 1.05
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		%{_datadir}/%{name}/web

%description
Transmission has been built from the ground up to be a lightweight,
yet powerful BitTorrent client. Its simple, intuitive interface is
designed to integrate tightly with whatever computing environment you
choose to use. Transmission strikes a balance between providing useful
functionality without feature bloat.

%description -l hu.UTF-8
Transmission egy könnyűsúlyú, de mégis egy erőteljes BitTorrent
kliens. Egyszerű, intuitív felülete szorosan illeszkedik bármilyen
számítógépes környezetbe, amit csak választasz. A Transmission célja
megtalálni a használható funkcionalitást lehetőségek áradata nélkül.

%description -l pl.UTF-8
Transmission został stworzony od podstaw, aby być lekkim lecz mającym
duże możliwości klientem BitTorrenta. Jego prosty, intuicyjny
interfejs jest zaprojektowany spójnie z dowolnym środowiskiem wybranym
przez użytkownika. Transmission stawia na równowagę zapewnienia
przydatnej funkcjonalności bez nadmiaru opcji.

%package init
Summary:	daemon package for BitTorrent client
Group:		Networking/Daemons
Requires:	%{name} = %{version}-%{release}

%description init
Transmission has been built from the ground up to be a lightweight,
yet powerful BitTorrent client. Its simple, intuitive interface is
designed to integrate tightly with whatever computing environment you
choose to use. Transmission strikes a balance between providing useful
functionality without feature bloat.

%package gui
Summary:	A versatile and multi-platform BitTorrent client
Summary(pl.UTF-8):	Wszechstronny i wieloplatformowy klient BitTorrenta
Group:		X11/Applications/Networking
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.6.0

%description gui
Transmission has been built from the ground up to be a lightweight,
yet powerful BitTorrent client. Its simple, intuitive interface is
designed to integrate tightly with whatever computing environment you
choose to use. Transmission strikes a balance between providing useful
functionality without feature bloat.

%description gui -l hu.UTF-8
Transmission egy könnyűsúlyú de mégis egy erőteljes BitTorrent kliens.
Egyszerű, intuitív felülete szorosan illeszkedik bármilyen
számítógépes környezetbe, amit csak választasz. A Transmission célja
megtalálni a használható funkcionalitást lehetőségek áradata nélkül.

%description gui -l pl.UTF-8
Transmission został stworzony od podstaw, aby być lekkim lecz mającym
duże możliwości klientem BitTorrenta. Jego prosty, intuicyjny
interfejs jest zaprojektowany spójnie z dowolnym środowiskiem wybranym
przez użytkownika. Transmission stawia na równowagę zapewnienia
przydatnej funkcjonalności bez nadmiaru opcji.

%package gui-qt
Summary:	A GUI to Transmission based on Qt4
Group:		X11/Applications/Networking
# doesn't require base

%description gui-qt
A GUI to Transmission based on Qt4.

%prep
%setup -qc
mv %{name}-%{version}/* .
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{__rm} po/ckb.po
%{__sed} -i 's/\(^CONFIG.*\)\( debug\)/\1/' qt/qtr.pro

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

cd qt
qmake-qt4
%{__make}
cd -

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT/var/lib/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

install qt/transmission-qt $RPM_BUILD_ROOT%{_bindir}
install qt/transmission-qt.desktop $RPM_BUILD_ROOT%{_desktopdir}
install gtk/transmission.png $RPM_BUILD_ROOT%{_pixmapsdir}/transmission-qt.png

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/eu

%find_lang %{name} --all-name --with-gnome

# copy of GPLv2 not needed
%{__rm} $RPM_BUILD_ROOT%{_datadir}/transmission/web/LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%post init
/sbin/chkconfig --add transmission
%service transmission restart

%preun init
if [ "$1" = "0" ]; then
        %service transmission stop
        /sbin/chkconfig --del transmission
fi

%post gui
%update_desktop_database_post
%update_icon_cache hicolor

%postun gui
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/transmission-cli
%attr(755,root,root) %{_bindir}/transmission-create
%attr(755,root,root) %{_bindir}/transmission-daemon
%attr(755,root,root) %{_bindir}/transmission-edit
%attr(755,root,root) %{_bindir}/transmission-remote
%attr(755,root,root) %{_bindir}/transmission-show
%{_mandir}/man1/transmission-cli.1*
%{_mandir}/man1/transmission-create.1*
%{_mandir}/man1/transmission-daemon.1*
%{_mandir}/man1/transmission-edit.1*
%{_mandir}/man1/transmission-remote.1*
%{_mandir}/man1/transmission-show.1*
%dir %{_datadir}/%{name}
%dir %{_appdir}
%{_appdir}/images
%{_appdir}/javascript
%{_appdir}/stylesheets
%{_appdir}/index.html

%files init
%defattr(644,root,root,755)
%attr(751,root,daemon) %dir %{_sysconfdir}/%{name}
#%attr(640,root,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%attr(640,root,daemon) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(750,daemon,root) %dir /var/lib/%{name}

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/transmission-gtk
%{_mandir}/man1/transmission-gtk.1*
%{_desktopdir}/transmission-gtk.desktop
%{_pixmapsdir}/transmission.png
%{_iconsdir}/hicolor/*/apps/transmission.png
%{_iconsdir}/hicolor/*/apps/transmission.svg

%files gui-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/transmission-qt
%{_desktopdir}/transmission-qt.desktop
%{_pixmapsdir}/transmission-qt.png


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: transmission.spec,v $
Revision 1.86  2010/12/17 10:32:20  caleb
- Up to 2.13

Revision 1.85  2010/11/16 09:05:33  caleb
- Up to 2.12

Revision 1.84  2010/11/13 12:09:27  pawelz
- release 2

Revision 1.83  2010/10/18 01:26:54  charles
- updated to 2.11

Revision 1.82  2010/10/11 23:08:48  charles
- gui-qt is back

Revision 1.81  2010/10/11 14:19:30  caleb
- Up to 2.10
- Packaged new cli tools

Revision 1.80  2010/08/29 14:17:10  charles
- up to 2.04

Revision 1.79  2010/07/25 13:20:19  charles
- updated to 2.03

Revision 1.78  2010/06/29 15:31:57  charles
- up to 2.01

Revision 1.77  2010/06/18 23:15:41  aredridel
- 2.00

Revision 1.76  2010/05/23 05:19:07  charles
- up to 1.93

Revision 1.75  2010/04/11 19:52:44  duddits
- up to 1.92

Revision 1.74  2010/02/23 09:44:04  duddits
- up to 1.91
- preallocate_syscall.patch updated

Revision 1.73  2010/02/20 10:01:08  uzsolt
- 1.90

Revision 1.72  2010/02/09 01:44:57  sparky
- BR: util-linux (for getopt)

Revision 1.71  2010/02/07 13:35:19  charles
- updated to 1.83
- added -cflags.patch

Revision 1.70  2010/01/26 22:49:06  charles
- updated to 1.82

Revision 1.69  2010/01/16 13:20:57  sparky
- BR: lsb-release, which
- many cleanups; use existing groups, adapter

Revision 1.68  2010/01/16 11:37:07  charles
- up to 1.77

Revision 1.67  2009/11/02 02:13:28  charles
- up to 1.76

Revision 1.66  2009/09/19 13:59:49  charles
- updated to 1.75
- -preallocate_syscall.patch is back (updated)

Revision 1.65  2009/09/08 18:00:47  uzsolt
- hu typo

Revision 1.64  2009/08/25 21:19:49  uzsolt
- 1.74
- rel 1

Revision 1.63  2009/08/08 19:35:06  hawk
- package init script, fixed files, now it builds

Revision 1.62  2009/07/28 20:46:02  blues
- rel.2

Revision 1.61  2009/07/28 20:34:56  blues
- init subpackage

Revision 1.60  2009/07/21 08:52:38  patrys
- 1.73

Revision 1.59  2009/06/18 16:32:35  charles
- updated to 1.72
- rm outdated -timeval.patch

Revision 1.58  2009/06/14 16:02:22  patrys
- port upstream fix to make 0.71 stable
- removed TODO
- rel. 1

Revision 1.57  2009/06/10 21:16:28  uzsolt
- rel 0.1
- not stable (see TODO)

Revision 1.56  2009/06/09 07:47:19  charles
- updated to 1.71

Revision 1.55  2009/06/09 07:38:58  charles
- added -preallocate_syscall.patch
- lt/ac/am/ + BRs; rel. up

Revision 1.54  2009/06/05 11:57:49  charles
- BR: xfsprogs-devel and libevent-devel >= 1.4.5 (rm TODO)
- package gui-qt doesn't require base (e.g. remote access)
- added small -qtr_details.patch (for qtr)

Revision 1.53  2009/06/05 07:37:26  duddits
- up to 1.70

Revision 1.52  2009/05/13 07:35:09  duddits
- up to 1.61

Revision 1.51  2009/05/08 22:08:36  charles
- fixed build qtr
- more BRs (for qt-qui)

Revision 1.50  2009/05/08 21:34:16  uzsolt
- gui-qt subpackage (there is a Qt-based client)
- rel 2

Revision 1.49  2009/05/06 09:09:54  duddits
- up to 1.60

Revision 1.48  2009/05/05 08:31:37  uzsolt
- %find_lang _after_ erase eu-locale

Revision 1.47  2009/05/04 19:45:04  uzsolt
- move transmission manual page to gui subpackage
- rel 3

Revision 1.46  2009/04/16 20:04:44  megabajt
- fixed Requires in -gui
- release 2

Revision 1.45  2009/04/16 07:26:21  duddits
- up to 1.52

Revision 1.44  2009/03/29 11:25:26  charles
- defattr for -gui

Revision 1.43  2009/03/29 11:24:10  charles
- cosmetic

Revision 1.42  2009/03/29 11:12:11  charles
- separated -gui
- BR: gettext-devel, libstdc++-devel
- rel. 2

Revision 1.41  2009/03/23 20:56:29  uzsolt
- hu summary and description

Revision 1.40  2009/02/27 14:04:39  duddits
- up to 1.51

Revision 1.39  2009/02/15 08:14:49  duddits
- up to 1.50
- new URL
- some cleaning

Revision 1.38  2008/12/30 10:42:13  duddits
- up to 1.42

Revision 1.37  2008/11/10 22:04:06  dzeus
- rel. 1

Revision 1.36  2008/11/10 21:42:11  dzeus
- up to 1.40
- NFY, libtool: link: cannot find the library `/usr/lib/libxcb-xlib.la' or unhandled argument `/usr/lib/libxcb-xlib.la'

Revision 1.35  2008/10/10 19:18:17  duddits
- rel. 2
- ckb locale temporarily disabled (ckb_po.patch)
- another missing %dir

Revision 1.34  2008/09/23 11:08:06  dzeus
- missing dir

Revision 1.33  2008/09/20 18:09:40  dzeus
- up to 1.34, web client added

Revision 1.32  2008/08/24 19:00:15  dzeus
- removed missing binaries

Revision 1.31  2008/08/24 17:56:58  dzeus
- up to 1.33

Revision 1.30  2008/08/24 17:54:00  dzeus
- up to 1.32

Revision 1.29  2008/06/18 15:47:23  qboosh
- removed bogus readline BR
- added more real ones (libnotify-devel, dbus-glib-devel);
  disabling autoreqdep made it harder to notice new dependencies

Revision 1.28  2008/06/18 10:19:41  gzohop
- +BR curl-devel
- +BR readline-devel

Revision 1.27  2008/06/15 17:30:02  patrys
- 1.22

Revision 1.26  2008-05-22 21:35:30  patrys
- 1.21

Revision 1.25  2008-05-11 21:02:59  patrys
- 1.20

Revision 1.24  2008-04-05 23:40:13  patrys
- 1.11

Revision 1.23  2008-03-30 23:55:50  patrys
- 1.10

Revision 1.22  2008-02-27 18:32:31  patrys
- 1.06

Revision 1.21  2008-02-11 00:02:11  patrys
- use proper Name
- neeeeed mooooreeee coooffeeee

Revision 1.20  2008-02-10 22:57:17  patrys
- rel 2
- rebuild

Revision 1.19  2008-02-10 22:53:38  patrys
- use project name

Revision 1.18  2008-02-10 21:36:45  patrys
- 1.05

Revision 1.17  2008-02-04 22:53:56  patrys
- 1.04

Revision 1.16  2008-01-30 11:30:10  patrys
- 1.03

Revision 1.15  2008-01-24 10:13:07  patrys
- 1.02

Revision 1.14  2008-01-12 02:27:50  patrys
- 1.01

Revision 1.13  2008-01-06 22:59:39  patrys
- 1.00
- exercise: check if it can be built against shared libnatpmp

Revision 1.12  2008-01-03 14:40:06  patrys
- 0.96

Revision 1.11  2007-11-14 13:23:34  patrys
- 0.93

Revision 1.10  2007-11-12 18:16:19  patrys
- 0.92

Revision 1.9  2007/10/29 14:27:47  patrys
- 0.91
- man is back

Revision 1.8  2007/10/25 07:34:58  patrys
- 0.90
- man pages not in this version
- upstream packaging broken

Revision 1.7  2007/09/24 11:55:47  patrys
- 0.82

Revision 1.6  2007/09/09 16:57:36  radek
- version 0.81

Revision 1.5  2007/08/12 12:30:16  kali
- updated to 0.80

Revision 1.4  2007/05/01 11:37:26  qboosh
- don't assume gzipped mans

Revision 1.3  2007/05/01 11:10:21  patrys
- 0.72
- package man files

Revision 1.2  2007/04/29 16:10:46  qboosh
- pl

Revision 1.1  2007/04/24 10:32:49  patrys
- initial release
- not tested on !x86
